﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace iqiyiWin.Constant
{
    public class ApiConstant
    {
        /// <summary>
        /// 获取用户信息
        /// </summary>
        public static string GET_USER_INFO = "/apis/profile/info.action";
        /// <summary>
        /// 获取优惠券列表
        /// </summary>
        public static string GET_COUPON_LIST = "/app/v2/coupon/getUserCoupons";
        /// <summary>
        /// 获取观影豆列表
        /// </summary>
        public static string GET_MOVIE_BEAN = "/app/v2/balance/detail";
        /// <summary>
        /// 用户签到
        /// </summary>
        public static string USER_SIGN_IN = "/app/v2/user/doSign";
        /// <summary>
        /// 抽奖
        /// </summary>
        public static string LOCK_DRAW = "/lotto/lottery";
        /// <summary>
        /// 获取城市列表
        /// </summary>
        public static string GET_CITIES = "/app/v2/lbs/cities";
        /// <summary>
        /// 获取影院列表
        /// </summary>
        public static string GET_CINEMA_LIST = "/app/v2/cinema/cinemaList";
        /// <summary>
        /// 获取观影豆任务情况
        /// </summary>
        public static string GET_TASK_LIST = "/app/v2/task/novice/info";
        /// <summary>
        /// 获取待上映的电影
        /// </summary>
        public static string GET_WAIT_SHOW_FILM = "/app/v2/movie/coming";
        /// <summary>
        /// 标记想看电影
        /// </summary>
        public static string WANT_LOOK_MOVIE = "/app/v2/movie/storeMovie";
        /// <summary>
        /// 领取想看电影观影豆
        /// </summary>
        public static string RECEIVE_TASK_NOVICE = "/app/v2/task/novice/reward";
        /// <summary>
        /// 获取影院列表
        /// </summary>
        public static readonly string H5_API_GET_CINEMAS = "/app/v2/cinema/cinemaList";
        /// <summary>
        /// 获取电影列表
        /// </summary>
        public static readonly string H5_API_GET_MOVIES = "/app/v2/cinema/cinemaInfoAndSessionByMovieId";
        /// <summary>
        /// 获取场次信息
        /// </summary>
        public static readonly string H5_API_GET_SESSIONS = "/app/v2/cinema/sessions";
        /// <summary>
        /// 获取座位信息
        /// </summary>
        public static readonly string H5_API_GET_SEAT_MAP = "/app/v2/seat/seatMap";
        /// <summary>
        /// 创建订单
        /// </summary>
        public static readonly string H5_API_CREATE_ORDER = "/app/v2/order/center";
    }
}
