﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Timers;
using System.Windows.Forms;
using iqiyiWin.Enums;
using iqiyiWin.Model;
using iqiyiWin.Util;

namespace iqiyiWin
{
    public partial class FormWebBrower : Form
    {
        public static Boolean IsInjection = false;
        System.Timers.Timer loadHtmlTimer = new System.Timers.Timer();
        public static IqiyiAccount IqiyiAccount = new IqiyiAccount();

        public FormWebBrower()
        {
            WebBrowserFeaturesUtils.SetWebBrowserFeatures(11);
            IsInjection = false;
            InitializeComponent();
        }
        public void Init(IqiyiAccount iqiyiAccount)
        {
            wb_login.ScriptErrorsSuppressed = true;
            IqiyiAccount = iqiyiAccount;
            wb_login.Navigate("https://m.iqiyi.com/user.html?redirect_url=https%3A%2F%2Fmovie.iqiyi.com%2Fuser%2Fmine#baseLogin");
            wb_login.DocumentCompleted += new WebBrowserDocumentCompletedEventHandler(wb_login_DocumentCompleted);//加载完成后的事件
        }
        /// <summary>
        /// 页面加载完事件
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void wb_login_DocumentCompleted(object sender, EventArgs e)
        {
            wb_login.ScriptErrorsSuppressed = true;
            //if (wb_login.Document.Cookie != null)
            //{
            //    wb_login.Document.Cookie.Remove(0, wb_login.Document.Cookie.Length - 1);
            //}
            
            var url = wb_login.Url.ToString();
            var title = wb_login.DocumentTitle;
            
            if (url == "https://m.iqiyi.com/user.html?redirect_url=https%3A%2F%2Fmovie.iqiyi.com%2Fuser%2Fmine#baseLogin")
            {
                if (wb_login.Document.GetElementById("phoneNumber") != null)
                {
                    if(!IsInjection)
                    {
                        IsInjection = true;
                        LoadOtherHtml(IqiyiAccount.MobileNo, IqiyiAccount.Password);
                    }
                }
                //loadHtmlTimer.Stop();
                // TODO
                //if (!loadHtmlTimer.Enabled)
                //{
                //    loadHtmlTimer.Enabled = true;
                //    loadHtmlTimer.Interval =5 * 1000;
                //    loadHtmlTimer.Start();
                //    loadHtmlTimer.Elapsed += new System.Timers.ElapsedEventHandler(loadHtmlTimerElapsed);
                //}
            }
            else if(url == "https://m.iqiyi.com/user.html?redirect_url=https%3A%2F%2Fmovie.iqiyi.com%2Fuser%2Fmine#hrisk?isHideAppLogin=true")
            {
                // 当前存在分线
                var a = wb_login.Document.Cookie;
            }
            else
            {
                //loadHtmlTimer.Stop();
                var cookie = wb_login.Document.Cookie.Replace("\r", "").Replace("\n", ""); ;
                var cookieList = cookie.Split(';');
                var p00001 = "";
                var __dfp = "";
                foreach (var item in cookieList)
                {
                    var key = item.Split('=')[0].Trim();
                    var value = item.Split('=')[1].Trim();
                    if(key == "P00001")
                    {
                        p00001 = value;
                    }
                    else if(key == "__dfp")
                    {
                        __dfp = value;
                    }
                }
                if(p00001.Length > 0)
                {
                    IqiyiAccount.Cookie = p00001 + "|" + __dfp;
                    IqiyiAccount.Status = (int)ReacquireCookieEnums.ReacquireSuccess;
                }
                else
                {
                    IqiyiAccount.Status = (int)ReacquireCookieEnums.ReacquireError;
                }
                wb_login.Document.Cookie.Remove(0, (wb_login.Document.Cookie.Length - 1));
                foreach (var v in wb_login.Document.Cookie.Split(';'))
                {
                    string[] item = v.Split('=');
                    if (item.Length == 2)
                    {
                        string name = item[0];
                        string value = item[1];
                        WebBrowserCookie.InternetSetCookie(wb_login.Url.ToString(), name, "");
                    }
                }
                wb_login.Url = null;
                wb_login.Document.OpenNew(false);
                wb_login.Dispose();
                Main._this.ReacquireCookieBack(IqiyiAccount);
                WebCleaner.CleanCookie();
            }
        }
        public void loadHtmlTimerElapsed(object source, ElapsedEventArgs e)
        {
            IqiyiAccount.Status = (int)ReacquireCookieEnums.ReacquireError;
            Main._this.ReacquireCookieBack(IqiyiAccount);
            this.Close();
        }
        private void LoadOtherHtml(string mobileNo, string password)
        {

            var vConsole = wb_login.Document.CreateElement("script");
            vConsole.SetAttribute("type", "text/javascript");
            vConsole.SetAttribute("src", "https://m-test.qianzhu8.com/kfc/js/vconsole.min.js");   //这里写JS代码
            wb_login.Document.Body.AppendChild(vConsole);

            var scriptText = "if(document.getElementById('phoneNumber')){document.getElementById('phoneNumber').value='" + mobileNo + "'}if(document.getElementsByClassName('enterNumber')&&document.getElementsByClassName('enterNumber')[2]){document.getElementsByClassName('enterNumber')[2].value='" + password + "'}if(document.getElementsByClassName('selected').length==2){document.getElementsByClassName('c-check-link')[0].click()}if(document.getElementsByClassName('c-check-link')&&document.getElementsByClassName('c-check-link')[0]){document.getElementsByClassName('c-check-link')[0].click()}if(document.getElementsByClassName('c-btn-block c-btn-base')&&document.getElementsByClassName('c-btn-block c-btn-base')[0]){document.getElementsByClassName('c-btn-block c-btn-base')[0].click()}";
            HtmlElement script = wb_login.Document.CreateElement("script");
            script.SetAttribute("type", "text/javascript");
            script.SetAttribute("text", scriptText);   //这里写JS代码
            wb_login.Document.Body.AppendChild(script);

        }
    }
}
