﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Model.Cinema
{
    public class IqiyiH5City
    {

        /// <summary>
        /// Examples: "shanghai"
        /// </summary>
        [JsonProperty("pinyin")]
        public string Pinyin { get; set; }

        /// <summary>
        /// Examples: "S"
        /// </summary>
        [JsonProperty("initial")]
        public string Initial { get; set; }

        /// <summary>
        /// Examples: "上海"
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// Examples: 1400254893
        /// </summary>
        [JsonProperty("cityId")]
        public string CityId { get; set; }

        /// <summary>
        /// Examples: true
        /// </summary>
        [JsonProperty("isHotCity")]
        public bool IsHotCity { get; set; }
    }
}
