﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace iqiyiWin.Request.Cinema
{
    public class IqiyiH5GetCinemaRequest: IqiyiH5BaseRequest
    {
        /// <summary>
        /// 城市id
        /// </summary>
        [JsonProperty("cityId")]
        public string CityId { get; set; }
        /// <summary>
        /// 页码
        /// </summary>
        [JsonProperty("page")]
        public string Page { get; set; }
        /// <summary>
        /// 分页大小
        /// </summary>
        [JsonProperty("pageCount")]
        public string PageCount { get; set; } = "20";
    }
}
