﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Response.Cinema
{
    public class QianZhuCinemaData
    {

        /// <summary>
        /// Examples: 1
        /// </summary>
        [JsonProperty("id")]
        public int Id { get; set; }

        /// <summary>
        /// Examples: "2021-03-31 13:46:49"
        /// </summary>
        [JsonProperty("createTime")]
        public string CreateTime { get; set; }

        /// <summary>
        /// Examples: "2021-03-31 14:23:43"
        /// </summary>
        [JsonProperty("updateTime")]
        public string UpdateTime { get; set; }

        /// <summary>
        /// Examples: "星际汇影城（武林广场轻奢店）"
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// Examples: "杭州市下城区武林广场29号杭州剧院（必胜客旁电梯上3楼）"
        /// </summary>
        [JsonProperty("address")]
        public string Address { get; set; }

        /// <summary>
        /// Examples: "1400251193"
        /// </summary>
        [JsonProperty("iqiyiCityId")]
        public string IqiyiCityId { get; set; }

        /// <summary>
        /// Examples: "杭州"
        /// </summary>
        [JsonProperty("iqiyiCityName")]
        public string IqiyiCityName { get; set; }

        /// <summary>
        /// Examples: "381848027"
        /// </summary>
        [JsonProperty("iqiyiCinemaId")]
        public string IqiyiCinemaId { get; set; }

        /// <summary>
        /// Examples: "1401250998"
        /// </summary>
        [JsonProperty("iqiyiAreaId")]
        public string IqiyiAreaId { get; set; }

        /// <summary>
        /// Examples: "string"
        /// </summary>
        [JsonProperty("lon")]
        public string Lon { get; set; }

        /// <summary>
        /// Examples: "string"
        /// </summary>
        [JsonProperty("lat")]
        public string Lat { get; set; }

        /// <summary>
        /// Examples: 25048
        /// </summary>
        [JsonProperty("cinemaId")]
        public string CinemaId { get; set; }
    }
}
