﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace iqiyiWin.Response
{
    public class IqiyiH5BaseResponse<T>
    {
        /// <summary>
        /// Examples: "A00000"
        /// </summary>
        [JsonProperty("code")]
        public string Code { get; set; }

        /// <summary>
        /// Examples: "A00000"
        /// </summary>
        [JsonProperty("data")]
        public T Data { get; set; }

        /// <summary>
        /// Examples: "20210701170145"
        /// </summary>
        [JsonProperty("timestamp")]
        public string Timestamp { get; set; }

        [JsonProperty("msg")]
        public string Msg { get; set; }
        

        public Boolean Success { get { return Code == "A00000"; } }
    }
}
