﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace iqiyiWin.Response.User.Sign
{
    public class SignResponse
    {

        [JsonProperty("code")]
        public string Code { get; set; }
        [JsonProperty("message")]
        public string Message { get; set; }
        [JsonProperty("result")]
        public Result Result { get; set; }
        [JsonProperty("ttl")]
        public string Ttl { get; set; }
    }
    public class Result
    {
        /// <summary>
        /// Examples: "e099824c06e6604b0f87b0d5cbea3a391627fb482adfc60d6b1b747a9204f6ded2"
        /// </summary>
        [JsonProperty("dfp")]
        public string Dfp { get; set; }

        /// <summary>
        /// Examples: 1627978965036
        /// </summary>
        [JsonProperty("expireAt")]
        public long ExpireAt { get; set; }

        /// <summary>
        /// Examples: 1295999
        /// </summary>
        [JsonProperty("ttl")]
        public int Ttl { get; set; }
    }
}
