﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace iqiyiWin.Enums
{
    public enum TaskTypeEnum
    {
        /// <summary>
        /// 签到
        /// </summary>
        [Description("签到")]
        SignIn = 0,
        /// <summary>
        /// 查询观影豆
        /// </summary>
        [Description("查询观影豆")]
        MovieBean = 1,
        /// <summary>
        /// 查询优惠券
        /// </summary>
        [Description("查询优惠券")]
        Coupon = 2,
        /// <summary>
        /// 抽奖
        /// </summary>
        [Description("抽奖")]
        LockDraw = 3,
        /// <summary>
        /// 获取影院列表
        /// </summary>
        [Description("获取影院列表")]
        GetCinemaList = 4,
        /// <summary>
        /// 领取新手任务豆
        /// </summary>
        [Description("领取新手任务豆")]
        ReceiveNewbieTask = 5,
        /// <summary>
        /// 重新获取Cookie
        /// </summary>
        [Description("重新获取Cookie")]
        ReacquireCookie = 6,
    }
}
