﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Model.Cinema
{
    public class IqiyiH5Seat
    {
        /// <summary>
        /// Examples: "", 8
        /// </summary>
        [JsonProperty("partnerId")]
        public string PartnerId { get; set; }

        /// <summary>
        /// Examples: "", "3301937101#01#01$3301937101#01#01_1_1", "3301937101#01#02$3301937101#01#02_1_2", "3301937101#01#03$3301937101#01#03_1_3", "3301937101#01#04$3301937101#01#04_1_4"
        /// </summary>
        [JsonProperty("partnerSeatId")]
        public string PartnerSeatId { get; set; }

        /// <summary>
        /// Examples: ""
        /// </summary>
        [JsonProperty("partnerHallId")]
        public string PartnerHallId { get; set; }

        /// <summary>
        /// Examples: 1
        /// </summary>
        [JsonProperty("xCoord")]
        public string XCoord { get; set; }

        /// <summary>
        /// Examples: 1, 2, 3, 4, 5
        /// </summary>
        [JsonProperty("yCoord")]
        public string YCoord { get; set; }

        /// <summary>
        /// Examples: "0", "1"
        /// </summary>
        [JsonProperty("row")]
        public string Row { get; set; }

        /// <summary>
        /// Examples: "0", "1", "2", "3", "4"
        /// </summary>
        [JsonProperty("column")]
        public string Column { get; set; }

        /// <summary>
        /// Examples: ""
        /// </summary>
        [JsonProperty("loveSeats")]
        public string LoveSeats { get; set; }

        /// <summary>
        /// Examples: "", "ADULT"
        /// </summary>
        [JsonProperty("seatType")]
        public string SeatType { get; set; }

        /// <summary>
        /// Examples: "", "UNABLE"
        /// </summary>
        [JsonProperty("status")]
        public string Status { get; set; }

        /// <summary>
        /// Examples: ""
        /// </summary>
        [JsonProperty("wangPiaoId")]
        public string WangPiaoId { get; set; }

        /// <summary>
        /// Examples: 5
        /// </summary>
        [JsonProperty("maxSelectedNum")]
        public int MaxSelectedNum { get; set; }

        /// <summary>
        /// Examples: "", "0"
        /// </summary>
        [JsonProperty("aid")]
        public string Aid { get; set; }

        /// <summary>
        /// Examples: ""
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }


        /// 拓展字段
        /// <summary>
        /// Examples: ""
        /// </summary>
        [JsonProperty("Price")]
        public string Price { get; set; }
    }
}
