﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using iqiyiWin.Model;
using iqiyiWin.Qianzhu.Response;
using iqiyiWin.Util;
using Newtonsoft.Json;

namespace iqiyiWin.Qianzhu.Api
{
    public class QianzhuIqiyiCinema
    {
        public static string InsertBatch(string token , List<QianZhuSaveIqiyiCinema> iqiyiCinemas)
        {

            Dictionary<string, string> headers = new Dictionary<string, string>();
            headers.Add("Authorization", token);
            var responseStr = HttpUtils.DoPost(App.Instance.GetQianzhuDomain() + "/admin/v1/iqiyiCinema/insertBatch", JsonConvert.SerializeObject(iqiyiCinemas), headers);
            UILogUtils.Debug("千猪 【批量写入爱奇艺影院】响应:" + responseStr);
            var response = JsonConvert.DeserializeObject<QianzhuBaseResponse<string>>(responseStr);

            if (response != null && response.Success)
            {
                UILogUtils.Info("千猪 【批量写入爱奇艺影院】成功。");
                return response.Data;
            }
            else
            {
                UILogUtils.Error("千猪 【批量写入爱奇艺影院】失败:" + (response == null ? responseStr : response.Message));
                return "-1";
            }
        }
    }
}
