﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace iqiyiWin.Qianzhu.Model.User
{
    public class QianzhuUser
    {
        /// <summary>
        /// Examples: 1001080
        /// </summary>
        [JsonProperty("id")]
        public int Id { get; set; }

        /// <summary>
        /// Examples: "2019-09-18 11:17:51"
        /// </summary>
        [JsonProperty("createTime")]
        public string CreateTime { get; set; }

        /// <summary>
        /// Examples: "2020-11-24 13:41:43"
        /// </summary>
        [JsonProperty("updateTime")]
        public string UpdateTime { get; set; }

        /// <summary>
        /// Examples: "雨夜"
        /// </summary>
        [JsonProperty("nickname")]
        public string Nickname { get; set; }

        /// <summary>
        /// Examples: "134****1872"
        /// </summary>
        [JsonProperty("mobile")]
        public string Mobile { get; set; }

        /// <summary>
        /// Examples: 1
        /// </summary>
        [JsonProperty("level")]
        public int Level { get; set; }

        /// <summary>
        /// Examples: "小二"
        /// </summary>
        [JsonProperty("levelDesc")]
        public string LevelDesc { get; set; }

        /// <summary>
        /// Examples: 0
        /// </summary>
        [JsonProperty("enableStatus")]
        public int? EnableStatus { get; set; }

        /// <summary>
        /// Examples: 2
        /// </summary>
        [JsonProperty("supplierId")]
        public int? SupplierId { get; set; }

        /// <summary>
        /// Examples: false
        /// </summary>
        [JsonProperty("sxMovie")]
        public bool? SxMovie { get; set; }

        /// <summary>
        /// Examples: 1
        /// </summary>
        [JsonProperty("sxMovieStatus")]
        public int? SxMovieStatus { get; set; }

        /// <summary>
        /// Examples: false
        /// </summary>
        [JsonProperty("admin")]
        public bool? Admin { get; set; }

    }
}
