﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using iqiyiWin.Request;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Request.Cinema
{
    public class IqiyiH5GetCinemaListRequest: IqiyiH5BaseRequest
    {
        /// <summary>
        /// 城市id
        /// </summary>
        [JsonProperty("cityId")]
        public string CityId { get; set; } = "1400251193";

        /// <summary>
        /// brandName
        /// </summary>
        [JsonProperty("brandName")]
        public string BrandName { get; set; } = "0";

        /// <summary>
        /// tag
        /// </summary>
        [JsonProperty("tag")]
        public string Tag { get; set; } = "0";

        /// <summary>
        /// orderBy
        /// </summary>
        [JsonProperty("orderBy")]
        public string OrderBy { get; set; } = "0";

        /// <summary>
        /// areaId
        /// </summary>
        [JsonProperty("areaId")]
        public string AreaId { get; set; } = "0";

        /// <summary>
        /// 页数 默认 0
        /// </summary>
        [JsonProperty("page")]
        public int Page { get; set; } = 0;

        /// <summary>
        /// 页码
        /// </summary>
        [JsonProperty("pageCount")]
        public int PageCount { get; set; } = 1000;

        /// <summary>
        /// location
        /// </summary>
        [JsonProperty("location")]
        public string Location { get; set; } = "";
    }
}
