﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using iqiyiWin.Request;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Request.Cinema
{
    public class IqiyiH5GetSeatMapRequest : IqiyiH5BaseRequest
    {
        /// <summary>
        /// 城市id
        /// </summary>
        [JsonProperty("cityId")]
        public string CityId { get; set; } = "";
        /// <summary>
        /// 影院id
        /// </summary>
        [JsonProperty("cinemaId")]
        public string CinemaId { get; set; }
        /// <summary>
        /// 电影id
        /// </summary>
        [JsonProperty("movieId")]
        public string MovieId { get; set; } = "";
        /// <summary>
        /// 场次id
        /// </summary>
        [JsonProperty("sessionId")]
        public string SessionId { get; set; }
    }
}
