﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using iqiyiWin.Constant;
using iqiyiWin.Util;
using Newtonsoft.Json;

namespace iqiyiWin.Request
{
    public class IqiyiH5BaseRequest2
    {
        [JsonProperty("dfp")]
        public string Dfp { get; set; } = IqiyiVersion.Dfp();

        [JsonProperty("deviceId")]
        public string DeviceId { get { return Dfp; } }

        [JsonProperty("appid")]
        public string Appid { get; set; } = "1003";

        [JsonProperty("os")]
        public string Os { get; set; } = "CPU iPhone OS 13_2_3 like Mac OS X";

        [JsonProperty("format")]
        public string Format { get; set; } = "json";

        [JsonProperty("platform")]
        public string Platform { get; set; } = "Win32";

        [JsonProperty("ts")]
        public string Ts { get; set; } = DateUtils.GetTimeStampOfMilliseconds().ToString();

        [JsonProperty("src")]
        public string Src { get; set; } = "H5";

        [JsonProperty("version")]
        public string Version { get; set; } = "1.0.0";

        [JsonProperty("ck")]
        public string Ck { get; set; } = "";

        [JsonProperty("nonce")]
        public string Nonce { get; set; } = IqiyiVersion.Nonce(0);

        [JsonProperty("bizType")]
        public string BizType { get; set; } = "APP";

        [JsonProperty("_t")]
        public string T { get; set; } = DateUtils.GetTimeStampOfMilliseconds().ToString();
    }
}
