﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CinemaWin.Iqiyi.Model.Cinema;
using Newtonsoft.Json;

namespace CinemaWin.Iqiyi.Response.Cinema
{
    public class IqiyiH5CinemasResponse
    {
        /// <summary>
        /// Examples: [{"cinemaPrice":27.0,"cinemaPriceString":"27","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"下沙文渊路499号四季广场5幢2层","tags":[],"sessionTotalCount":371,"areaId":1401250898,"cinemaId":381779027,"cinemaName":"四季国际影城","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":40.0,"cinemaPriceString":"40","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市萧山区市心中路123号旺角城新天地商业步行街8号楼4-5层","tags":[{"name":"杜比全景声","field":"dolby","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"巨幕","field":"jumu","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":277,"areaId":1401250698,"cinemaId":180742627,"cinemaName":"萧山德纳IMAX影城","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":38.0,"cinemaPriceString":"38","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区学院路77号","tags":[],"sessionTotalCount":272,"areaId":1401251098,"cinemaId":382245627,"cinemaName":"晟嘉国际影城","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":28.0,"cinemaPriceString":"28","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区文一路298号物美大买场6楼(近万塘路)","tags":[{"name":"杜比全景声","field":"dolby","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":256,"areaId":1401251098,"cinemaId":180598727,"cinemaName":"浙江翠苑电影大世界","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":30.9,"cinemaPriceString":"30.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市拱墅区上塘路458号水晶城购物中心7楼","tags":[{"name":"4K","field":"k4","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"REALD","field":"reald","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":243,"areaId":1401251898,"cinemaId":380930927,"cinemaName":"杭州万达影城水晶城店","cinemaDistance":0.0,"hasImx":true,"order":0},{"cinemaPrice":34.0,"cinemaPriceString":"34","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区古墩路与余杭塘路交口五洲国际2层（印象城对面）","tags":[{"name":"4K","field":"k4","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":236,"areaId":1401251098,"cinemaId":180685927,"cinemaName":"杭州佳映IMAX影城","cinemaDistance":0.0,"hasImx":true,"order":0},{"cinemaPrice":27.0,"cinemaPriceString":"27","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州下沙经济技术开发区元成时代中心5幢2层（金桥街53号）","tags":[],"sessionTotalCount":230,"areaId":1401250898,"cinemaId":381337627,"cinemaName":"星禾时代影城","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":38.0,"cinemaPriceString":"38","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区文三路500号10幢2层31室（星光城）","tags":[],"sessionTotalCount":205,"areaId":1401251098,"cinemaId":382257627,"cinemaName":"德信影城（星光城店）","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":37.9,"cinemaPriceString":"37.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区紫霞街155号西溪诚品2F","tags":[],"sessionTotalCount":197,"areaId":1401251098,"cinemaId":381302727,"cinemaName":"德信影城杭州西溪诚品店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":45.0,"cinemaPriceString":"45","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"江干区景昙路18-26号银泰百货6楼(近庆春东路)","tags":[],"sessionTotalCount":196,"areaId":1401250898,"cinemaId":180599027,"cinemaName":"卢米埃影城(杭州庆春银泰店)","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":38.5,"cinemaPriceString":"38.5","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市下城区东新路655号西联广场","tags":[{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":188,"areaId":1401250998,"cinemaId":380955827,"cinemaName":"杭州金逸影视中心IMAX店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":45.0,"cinemaPriceString":"45","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区蒋村街道余杭塘路1001号花蒋天街商业中心A-6F，A-7F","tags":[],"sessionTotalCount":185,"areaId":1401251098,"cinemaId":382541227,"cinemaName":"卢米埃影城（杭州西溪天街店）","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":28.9,"cinemaPriceString":"28.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区三墩镇新天地商业中心11幢301室-303室","tags":[],"sessionTotalCount":182,"areaId":1401251098,"cinemaId":381090627,"cinemaName":"杭州比高电影院三墩店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":25.9,"cinemaPriceString":"25.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市拱墅区小河路306号D32购物广场A座5楼","tags":[],"sessionTotalCount":180,"areaId":1401251898,"cinemaId":381584827,"cinemaName":"杭州万达影城光魔酷映店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":26.0,"cinemaPriceString":"26","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市滨江区浦沿路物美大卖场盒座社五楼唐阁影城","tags":[],"sessionTotalCount":177,"areaId":1401251298,"cinemaId":381264527,"cinemaName":"杭州唐阁影城-滨江店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":39.9,"cinemaPriceString":"39.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市下城区西湖文化广场F区一楼","tags":[],"sessionTotalCount":168,"areaId":1401250998,"cinemaId":381993227,"cinemaName":"保利国际影城（杭州西湖文化广场店）","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":45.9,"cinemaPriceString":"45.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市西湖区西湖文化广场8号(C区)","tags":[{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"商场","field":"shopping","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":167,"areaId":1401250998,"cinemaId":180598527,"cinemaName":"浙江新远国际影城（西湖文化广场店）","cinemaDistance":0.0,"hasImx":true,"order":0},{"cinemaPrice":23.0,"cinemaPriceString":"23","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州市江干区艮山西路102号杭州创意设计中心A幢1188号","tags":[],"sessionTotalCount":166,"areaId":1401250898,"cinemaId":381218527,"cinemaName":"德信影城杭州创意中心店","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":30.0,"cinemaPriceString":"30","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"杭州下沙4号大街物美超市旁新美商城4楼","tags":[{"name":"杜比全景声","field":"dolby","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"巨幕","field":"jumu","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}],"sessionTotalCount":165,"areaId":1401250898,"cinemaId":380958227,"cinemaName":"杭州歌纳影院","cinemaDistance":0.0,"hasImx":false,"order":0},{"cinemaPrice":38.9,"cinemaPriceString":"38.9","seatStatus":0,"cinemaDistanceString":"","movieId":0,"isStored":false,"cinemaAddress":"拱墅区金华路80号运河上街4楼（商场闭店后，从东区负一楼入口客梯直达）","tags":[],"sessionTotalCount":163,"areaId":1401251898,"cinemaId":380988227,"cinemaName":"德信影城杭州运河上街店","cinemaDistance":0.0,"hasImx":false,"order":0}]
        /// </summary>
        [JsonProperty("cinemas")]
        public List<IqiyiH5Cinema> Cinemas { get; set; }

        /// <summary>
        /// Examples: [{"name":"全部品牌"},{"name":"中影","count":13},{"name":"万达","count":7},{"name":"横店","count":7},{"name":"上影","count":6},{"name":"大地","count":5},{"name":"保利","count":4},{"name":"金逸","count":3},{"name":"百老汇","count":3},{"name":"博纳","count":3},{"name":"星美","count":2},{"name":"CGV","count":2},{"name":"卢米埃","count":2},{"name":"UME","count":2},{"name":"太平洋","count":2},{"name":"橙天嘉禾","count":1},{"name":"幸福蓝海","count":1},{"name":"奥斯卡","count":1},{"name":"华夏","count":1}]
        /// </summary>
        [JsonProperty("brands")]
        public List<Brand> Brands { get; set; }

        /// <summary>
        /// Examples: false
        /// </summary>
        [JsonProperty("hasDistrict")]
        public bool HasDistrict { get; set; }

        /// <summary>
        /// Examples: []
        /// </summary>
        [JsonProperty("resources")]
        public List<object> Resources { get; set; }

        /// <summary>
        /// Examples: {"pinyin":"hangzhou","initial":"H","name":"杭州","cityId":1400251193,"isHotCity":true}
        /// </summary>
        [JsonProperty("currentCity")]
        public CurrentCity CurrentCity { get; set; }

        /// <summary>
        /// Examples: [{"name":"全城","id":0},{"name":"江干区","count":35,"id":1401250898},{"name":"余杭区","count":33,"id":1401251198},{"name":"西湖区","count":28,"id":1401251098},{"name":"萧山区","count":21,"id":1401250698},{"name":"滨江区","count":15,"id":1401251298},{"name":"下城区","count":14,"id":1401250998},{"name":"富阳区","count":13,"id":1401251498},{"name":"临安区","count":9,"id":1510663098},{"name":"桐庐县","count":7,"id":1401250798},{"name":"拱墅区","count":7,"id":1401251898},{"name":"上城区","count":7,"id":1401251598},{"name":"建德市","count":5,"id":1401251798},{"name":"淳安县","count":3,"id":1401251698}]
        /// </summary>
        [JsonProperty("areas")]
        public List<CinemaArea> Areas { get; set; }

        /// <summary>
        /// Examples: [{"field":0,"name":"全部特色"},{"name":"双机3D","field":"double3d","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"4K","field":"k4","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"杜比全景声","field":"dolby","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"4D","field":"d4","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"IMAX","field":"imax","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"巨幕","field":"jumu","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"可停车","field":"park","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"wifi","field":"wifi","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"},{"name":"休息区","field":"rest_area","type":"common","wireframe":"#EF7D52","background":"#FFFFFF","colorFont":"#EF7D52"}]
        /// </summary>
        [JsonProperty("tags")]
        public List<CinemaTag> Tags { get; set; }
    }
    public class CinemaArea
    {

        /// <summary>
        /// Examples: "全城", "江干区", "余杭区", "西湖区", "萧山区"
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// Examples: 0, 1401250898, 1401251198, 1401251098, 1401250698
        /// </summary>
        [JsonProperty("id")]
        public string Id { get; set; }

        /// <summary>
        /// Examples: 35, 33, 28, 21, 15
        /// </summary>
        [JsonProperty("count")]
        public string Count { get; set; }
    }
    public class CurrentCity
    {

        /// <summary>
        /// Examples: "hangzhou"
        /// </summary>
        [JsonProperty("pinyin")]
        public string Pinyin { get; set; }

        /// <summary>
        /// Examples: "H"
        /// </summary>
        [JsonProperty("initial")]
        public string Initial { get; set; }

        /// <summary>
        /// Examples: "杭州"
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// Examples: 1400251193
        /// </summary>
        [JsonProperty("cityId")]
        public string CityId { get; set; }

        /// <summary>
        /// Examples: true
        /// </summary>
        [JsonProperty("isHotCity")]
        public bool IsHotCity { get; set; }
    }
    public class Brand
    {

        /// <summary>
        /// Examples: "全部品牌", "中影", "万达", "横店", "上影"
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// Examples: 13, 7, 6, 5, 4
        /// </summary>
        [JsonProperty("count")]
        public string Count { get; set; }
    }
}
