﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using iqiyiWin.Model;
using Newtonsoft.Json;

namespace iqiyiWin.Response.Film
{
    public class MovieInfoResponse
    {
        /// <summary>
        /// Examples: "A00000"
        /// </summary>
        [JsonProperty("code")]
        public string Code { get; set; }

        /// <summary>
        /// Examples: 
        /// </summary>
        [JsonProperty("data")]
        public Data Data { get; set; }

        /// <summary>
        /// Examples: "20210701170145"
        /// </summary>
        [JsonProperty("timestamp")]
        public string Timestamp { get; set; }
    }
    public class Data
    {
        /// <summary>
        /// Examples: 
        /// </summary>
        [JsonProperty("upcomingSessions")]
        public UpcomingSessions UpcomingSessions { get; set; }
    }

    public class UpcomingSessions
    {
        /// <summary>
        /// Examples: 
        /// </summary>
        [JsonProperty("movieClips")]
        public List<IqiyiFilm> MovieClips { get; set; }
    }
}
