﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace iqiyiWin.Util
{
    public class IqiyiSign
    {
        public static string Sign(SortedDictionary<string,string> data)
        {
            var encryptionBeforeText = "";
            var encryptionAfterText = "";
            var appsecret = "";

            foreach (KeyValuePair<string, string> item in data)
            {

                if (item.Key != "sig" && item.Value != "")
                {
                    encryptionBeforeText += item.Key + item.Value.ToString();
                }
            }

            if(data.ContainsKey("appid") && data["appid"] == "10012")
            {
                appsecret = "e72c3bf9";
            }

            encryptionBeforeText = appsecret + encryptionBeforeText.ToUpper() + appsecret;

            encryptionAfterText = Sha1.Sha1Signature(encryptionBeforeText).ToLower();

            UILogUtils.Debug("加密前参数：" +  encryptionBeforeText);

            UILogUtils.Debug("加密后参数：" + encryptionAfterText);

            return encryptionAfterText;
        }
        public static string Encryption(string password)
        {
            var result = "";
            var sCode = "function c(a){var b=f,c=b.biDivideByRadixPower(a,this.k-1),d=b.biMultiply(c,this.mu),e=b.biDivideByRadixPower(d,this.k+1),g=b.biModuloByRadixPower(a,this.k+1),h=b.biMultiply(e,this.modulus),i=b.biModuloByRadixPower(h,this.k+1),j=b.biSubtract(g,i);j.isNeg&&(j=b.biAdd(j,this.bkplus1));for(var k=b.biCompare(j,this.modulus)>=0;k;)j=b.biSubtract(j,this.modulus),k=b.biCompare(j,this.modulus)>=0;return j}function d(a,b){var c=f.biMultiply(a,b);return this.modulo(c)}function e(a,b){var c=new t;c.digits[0]=1;for(var d=a,e=b;;){if(0!=(1&e.digits[0])&&(c=this.multiplyMod(c,d)),e=f.biShiftRight(e,1),0==e.digits[0]&&0==f.biHighIndex(e))break;d=this.multiplyMod(d,d)}return c}var f,g={};'undefined'==typeof g.RSAUtils&&(f=g.RSAUtils={});var h,k,l,m,n=16,o=n,p=65536,q=p>>>1,r=p*p,s=p-1,t=g.BigInt=function(a){this.digits='boolean'==typeof a&&a===!0?null:k.slice(0),this.isNeg=!1};f.setMaxDigits=function(a){h=a,k=new Array(h);for(var b=0;b<k.length;b++)k[b]=0;l=new t,m=new t,m.digits[0]=1},f.setMaxDigits(20);var u=15;f.biFromNumber=function(a){var b=new t;b.isNeg=0>a,a=Math.abs(a);for(var c=0;a>0;)b.digits[c++]=a&s,a=Math.floor(a/p);return b};var v=f.biFromNumber(1e15);f.biFromDecimal=function(a){for(var b,c='-'==a.charAt(0),d=c?1:0;d<a.length&&'0'==a.charAt(d);)++d;if(d==a.length)b=new t;else{var e=a.length-d,g=e%u;for(0==g&&(g=u),b=f.biFromNumber(Number(a.substr(d,g))),d+=g;d<a.length;)b=f.biAdd(f.biMultiply(b,v),f.biFromNumber(Number(a.substr(d,u)))),d+=u;b.isNeg=c}return b},f.biCopy=function(a){var b=new t(!0);return b.digits=a.digits.slice(0),b.isNeg=a.isNeg,b},f.reverseStr=function(a){for(var b='',c=a.length-1;c>-1;--c)b+=a.charAt(c);return b};var w=['0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z'];f.biToString=function(a,b){var c=new t;c.digits[0]=b;for(var d=f.biDivideModulo(a,c),e=w[d[1].digits[0]];1==f.biCompare(d[0],l);)d=f.biDivideModulo(d[0],c),digit=d[1].digits[0],e+=w[d[1].digits[0]];return(a.isNeg?'-':'')+f.reverseStr(e)},f.biToDecimal=function(a){var b=new t;b.digits[0]=10;for(var c=f.biDivideModulo(a,b),d=String(c[1].digits[0]);1==f.biCompare(c[0],l);)c=f.biDivideModulo(c[0],b),d+=String(c[1].digits[0]);return(a.isNeg?'-':'')+f.reverseStr(d)};var x=['0','1','2','3','4','5','6','7','8','9','a','b','c','d','e','f'];f.digitToHex=function(a){var b=15,c='';for(i=0;4>i;++i)c+=x[a&b],a>>>=4;return f.reverseStr(c)},f.biToHex=function(a){var b='';f.biHighIndex(a);for(var c=f.biHighIndex(a);c>-1;--c)b+=f.digitToHex(a.digits[c]);return b},f.charToHex=function(a){var b,c=48,d=c+9,e=97,f=e+25,g=65,h=90;return b=a>=c&&d>=a?a-c:a>=g&&h>=a?10+a-g:a>=e&&f>=a?10+a-e:0},f.hexToDigit=function(a){for(var b=0,c=Math.min(a.length,4),d=0;c>d;++d)b<<=4,b|=f.charToHex(a.charCodeAt(d));return b},f.biFromHex=function(a){for(var b=new t,c=a.length,d=c,e=0;d>0;d-=4,++e)b.digits[e]=f.hexToDigit(a.substr(Math.max(d-4,0),Math.min(d,4)));return b},f.biFromString=function(a,b){var c='-'==a.charAt(0),d=c?1:0,e=new t,g=new t;g.digits[0]=1;for(var h=a.length-1;h>=d;h--){var i=a.charCodeAt(h),j=f.charToHex(i),k=f.biMultiplyDigit(g,j);e=f.biAdd(e,k),g=f.biMultiplyDigit(g,b)}return e.isNeg=c,e},f.biDump=function(a){return(a.isNeg?'-':'')+a.digits.join(' ')},f.biAdd=function(a,b){var c;if(a.isNeg!=b.isNeg)b.isNeg=!b.isNeg,c=f.biSubtract(a,b),b.isNeg=!b.isNeg;else{c=new t;for(var d,e=0,g=0;g<a.digits.length;++g)d=a.digits[g]+b.digits[g]+e,c.digits[g]=d%p,e=Number(d>=p);c.isNeg=a.isNeg}return c},f.biSubtract=function(a,b){var c;if(a.isNeg!=b.isNeg)b.isNeg=!b.isNeg,c=f.biAdd(a,b),b.isNeg=!b.isNeg;else{c=new t;var d,e;e=0;for(var g=0;g<a.digits.length;++g)d=a.digits[g]-b.digits[g]+e,c.digits[g]=d%p,c.digits[g]<0&&(c.digits[g]+=p),e=0-Number(0>d);if(-1==e){e=0;for(var g=0;g<a.digits.length;++g)d=0-c.digits[g]+e,c.digits[g]=d%p,c.digits[g]<0&&(c.digits[g]+=p),e=0-Number(0>d);c.isNeg=!a.isNeg}else c.isNeg=a.isNeg}return c},f.biHighIndex=function(a){for(var b=a.digits.length-1;b>0&&0==a.digits[b];)--b;return b},f.biNumBits=function(a){var b,c=f.biHighIndex(a),d=a.digits[c],e=(c+1)*o;for(b=e;b>e-o&&0==(32768&d);--b)d<<=1;return b},f.biMultiply=function(a,b){for(var c,d,e,g=new t,h=f.biHighIndex(a),i=f.biHighIndex(b),k=0;i>=k;++k){for(c=0,e=k,j=0;h>=j;++j,++e)d=g.digits[e]+a.digits[j]*b.digits[k]+c,g.digits[e]=d&s,c=d>>>n;g.digits[k+h+1]=c}return g.isNeg=a.isNeg!=b.isNeg,g},f.biMultiplyDigit=function(a,b){var c,d,e;result=new t,c=f.biHighIndex(a),d=0;for(var g=0;c>=g;++g)e=result.digits[g]+a.digits[g]*b+d,result.digits[g]=e&s,d=e>>>n;return result.digits[1+c]=d,result},f.arrayCopy=function(a,b,c,d,e){for(var f=Math.min(b+e,a.length),g=b,h=d;f>g;++g,++h)c[h]=a[g]};var y=[0,32768,49152,57344,61440,63488,64512,65024,65280,65408,65472,65504,65520,65528,65532,65534,65535];f.biShiftLeft=function(a,b){var c=Math.floor(b/o),d=new t;f.arrayCopy(a.digits,0,d.digits,c,d.digits.length-c);for(var e=b%o,g=o-e,h=d.digits.length-1,i=h-1;h>0;--h,--i)d.digits[h]=d.digits[h]<<e&s|(d.digits[i]&y[e])>>>g;return d.digits[0]=d.digits[h]<<e&s,d.isNeg=a.isNeg,d};var z=[0,1,3,7,15,31,63,127,255,511,1023,2047,4095,8191,16383,32767,65535];f.biShiftRight=function(a,b){var c=Math.floor(b/o),d=new t;f.arrayCopy(a.digits,c,d.digits,0,a.digits.length-c);for(var e=b%o,g=o-e,h=0,i=h+1;h<d.digits.length-1;++h,++i)d.digits[h]=d.digits[h]>>>e|(d.digits[i]&z[e])<<g;return d.digits[d.digits.length-1]>>>=e,d.isNeg=a.isNeg,d},f.biMultiplyByRadixPower=function(a,b){var c=new t;return f.arrayCopy(a.digits,0,c.digits,b,c.digits.length-b),c},f.biDivideByRadixPower=function(a,b){var c=new t;return f.arrayCopy(a.digits,b,c.digits,0,c.digits.length-b),c},f.biModuloByRadixPower=function(a,b){var c=new t;return f.arrayCopy(a.digits,0,c.digits,0,b),c},f.biCompare=function(a,b){if(a.isNeg!=b.isNeg)return 1-2*Number(a.isNeg);for(var c=a.digits.length-1;c>=0;--c)if(a.digits[c]!=b.digits[c])return a.isNeg?1-2*Number(a.digits[c]>b.digits[c]):1-2*Number(a.digits[c]<b.digits[c]);return 0},f.biDivideModulo=function(a,b){var c,d,e=f.biNumBits(a),g=f.biNumBits(b),h=b.isNeg;if(g>e)return a.isNeg?(c=f.biCopy(m),c.isNeg=!b.isNeg,a.isNeg=!1,b.isNeg=!1,d=biSubtract(b,a),a.isNeg=!0,b.isNeg=h):(c=new t,d=f.biCopy(a)),[c,d];c=new t,d=a;for(var i=Math.ceil(g/o)-1,j=0;b.digits[i]<q;)b=f.biShiftLeft(b,1),++j,++g,i=Math.ceil(g/o)-1;d=f.biShiftLeft(d,j),e+=j;for(var k=Math.ceil(e/o)-1,l=f.biMultiplyByRadixPower(b,k-i);-1!=f.biCompare(d,l);)++c.digits[k-i],d=f.biSubtract(d,l);for(var n=k;n>i;--n){var u=n>=d.digits.length?0:d.digits[n],v=n-1>=d.digits.length?0:d.digits[n-1],w=n-2>=d.digits.length?0:d.digits[n-2],x=i>=b.digits.length?0:b.digits[i],y=i-1>=b.digits.length?0:b.digits[i-1];c.digits[n-i-1]=u==x?s:Math.floor((u*p+v)/x);for(var z=c.digits[n-i-1]*(x*p+y),A=u*r+(v*p+w);z>A;)--c.digits[n-i-1],z=c.digits[n-i-1]*(x*p|y),A=u*p*p+(v*p+w);l=f.biMultiplyByRadixPower(b,n-i-1),d=f.biSubtract(d,f.biMultiplyDigit(l,c.digits[n-i-1])),d.isNeg&&(d=f.biAdd(d,l),--c.digits[n-i-1])}return d=f.biShiftRight(d,j),c.isNeg=a.isNeg!=h,a.isNeg&&(c=h?f.biAdd(c,m):f.biSubtract(c,m),b=f.biShiftRight(b,j),d=f.biSubtract(b,d)),0==d.digits[0]&&0==f.biHighIndex(d)&&(d.isNeg=!1),[c,d]},f.biDivide=function(a,b){return f.biDivideModulo(a,b)[0]},f.biModulo=function(a,b){return f.biDivideModulo(a,b)[1]},f.biMultiplyMod=function(a,b,c){return f.biModulo(f.biMultiply(a,b),c)},f.biPow=function(a,b){for(var c=m,d=a;;){if(0!=(1&b)&&(c=f.biMultiply(c,d)),b>>=1,0==b)break;d=f.biMultiply(d,d)}return c},f.biPowMod=function(a,b,c){for(var d=m,e=a,g=b;;){if(0!=(1&g.digits[0])&&(d=f.biMultiplyMod(d,e,c)),g=f.biShiftRight(g,1),0==g.digits[0]&&0==f.biHighIndex(g))break;e=f.biMultiplyMod(e,e,c)}return d},g.BarrettMu=function(a){this.modulus=f.biCopy(a),this.k=f.biHighIndex(this.modulus)+1;var b=new t;b.digits[2*this.k]=1,this.mu=f.biDivide(b,this.modulus),this.bkplus1=new t,this.bkplus1.digits[this.k+1]=1,this.modulo=c,this.multiplyMod=d,this.powMod=e};var A=function(a,b,c){var d=f;this.e=d.biFromHex(a),this.d=d.biFromHex(b),this.m=d.biFromHex(c),this.chunkSize=2*d.biHighIndex(this.m),this.radix=16,this.barrett=new g.BarrettMu(this.m)};f.getKeyPair=function(a,b,c){return new A(a,b,c)},'undefined'==typeof g.twoDigit&&(g.twoDigit=function(a){return(10>a?'0':'')+String(a)}),f.encryptedString=function(a,b){for(var c=[],d=b.length,e=0;d>e;)c[e]=b.charCodeAt(e),e++;for(;0!=c.length%a.chunkSize;)c[e++]=0;var g,h,i,j=c.length,k='';for(e=0;j>e;e+=a.chunkSize){for(i=new t,g=0,h=e;h<e+a.chunkSize;++g)i.digits[g]=c[h++],i.digits[g]+=c[h++]<<8;var l=a.barrett.powMod(i,a.e),m=16==a.radix?f.biToHex(l):f.biToString(l,a.radix);k+=m+' '}return k.substring(0,k.length-1)},f.decryptedString=function(a,b){var c,d,e,g=b.split(' '),h='';for(c=0;c<g.length;++c){var i;for(i=16==a.radix?f.biFromHex(g[c]):f.biFromString(g[c],a.radix),e=a.barrett.powMod(i,a.d),d=0;d<=f.biHighIndex(e);++d)h+=String.fromCharCode(255&e.digits[d],e.digits[d]>>8)}return 0==h.charCodeAt(h.length-1)&&(h=h.substring(0,h.length-1)),h},f.setMaxDigits(130);function rsaFun(e){var t='ab86b6371b5318aaa1d3c9e612a9f1264f372323c8c0f19875b5fc3b3fd3afcc1e5bec527aa94bfa85bffc157e4245aebda05389a5357b75115ac94f074aefcd',a='10001',n=g.RSAUtils.getKeyPair(a,'',t),i=g.RSAUtils.encryptedString(n,encodeURIComponent(e)).replace(/\\s/g,'-');return i;}";
            var sExpression = $"rsaFun('{password}')";
            MSScriptControl.ScriptControl scriptControl = new MSScriptControl.ScriptControl();
            scriptControl.UseSafeSubset = true;
            scriptControl.Language = "JScript";
            scriptControl.AddCode(sCode);
            try
            {
                result = scriptControl.Eval(sExpression).ToString();
            }
            catch (Exception ex)
            {
                string str = ex.Message;
            }
            return result;
        }
        public static string GetQC006()
        {
            var result = "";
            var sCode = "function jm_r(e,t){var r=(65535&e)+(65535&t),n=(e>>16)+(t>>16)+(r>>16);return n<<16|65535&r}function jm_n(e,t){return e<<t|e>>>32-t}function jm_o(e,t,o,i,a,s){return jm_r(jm_n(jm_r(jm_r(t,e),jm_r(i,s)),a),o)}function jm_a(e,t,r,n,i,a,s){return jm_o(t&r|~t&n,e,t,i,a,s)}function jm_s(e,t,r,n,i,a,s){return jm_o(t&n|r&~n,e,t,i,a,s)}function jm_c(e,t,r,n,i,a,s){return jm_o(t^r^n,e,t,i,a,s)}function jm_u(e,t,r,n,i,a,s){return jm_o(r^(t|~n),e,t,i,a,s)}function jm_f(e,t){e[t>>5]|=128<<t%32,e[(t+64>>>9<<4)+14]=t;var n,o,i,f,l,d=1732584193,h=-271733879,p=-1732584194,g=271733878;for(n=0;n<e.length;n+=16)o=d,i=h,f=p,l=g,d=jm_a(d,h,p,g,e[n],7,-680876936),g=jm_a(g,d,h,p,e[n+1],12,-389564586),p=jm_a(p,g,d,h,e[n+2],17,606105819),h=jm_a(h,p,g,d,e[n+3],22,-1044525330),d=jm_a(d,h,p,g,e[n+4],7,-176418897),g=jm_a(g,d,h,p,e[n+5],12,1200080426),p=jm_a(p,g,d,h,e[n+6],17,-1473231341),h=jm_a(h,p,g,d,e[n+7],22,-45705983),d=jm_a(d,h,p,g,e[n+8],7,1770035416),g=jm_a(g,d,h,p,e[n+9],12,-1958414417),p=jm_a(p,g,d,h,e[n+10],17,-42063),h=jm_a(h,p,g,d,e[n+11],22,-1990404162),d=jm_a(d,h,p,g,e[n+12],7,1804603682),g=jm_a(g,d,h,p,e[n+13],12,-40341101),p=jm_a(p,g,d,h,e[n+14],17,-1502002290),h=jm_a(h,p,g,d,e[n+15],22,1236535329),d=jm_s(d,h,p,g,e[n+1],5,-165796510),g=jm_s(g,d,h,p,e[n+6],9,-1069501632),p=jm_s(p,g,d,h,e[n+11],14,643717713),h=jm_s(h,p,g,d,e[n],20,-373897302),d=jm_s(d,h,p,g,e[n+5],5,-701558691),g=jm_s(g,d,h,p,e[n+10],9,38016083),p=jm_s(p,g,d,h,e[n+15],14,-660478335),h=jm_s(h,p,g,d,e[n+4],20,-405537848),d=jm_s(d,h,p,g,e[n+9],5,568446438),g=jm_s(g,d,h,p,e[n+14],9,-1019803690),p=jm_s(p,g,d,h,e[n+3],14,-187363961),h=jm_s(h,p,g,d,e[n+8],20,1163531501),d=jm_s(d,h,p,g,e[n+13],5,-1444681467),g=jm_s(g,d,h,p,e[n+2],9,-51403784),p=jm_s(p,g,d,h,e[n+7],14,1735328473),h=jm_s(h,p,g,d,e[n+12],20,-1926607734),d=jm_c(d,h,p,g,e[n+5],4,-378558),g=jm_c(g,d,h,p,e[n+8],11,-2022574463),p=jm_c(p,g,d,h,e[n+11],16,1839030562),h=jm_c(h,p,g,d,e[n+14],23,-35309556),d=jm_c(d,h,p,g,e[n+1],4,-1530992060),g=jm_c(g,d,h,p,e[n+4],11,1272893353),p=jm_c(p,g,d,h,e[n+7],16,-155497632),h=jm_c(h,p,g,d,e[n+10],23,-1094730640),d=jm_c(d,h,p,g,e[n+13],4,681279174),g=jm_c(g,d,h,p,e[n],11,-358537222),p=jm_c(p,g,d,h,e[n+3],16,-722521979),h=jm_c(h,p,g,d,e[n+6],23,76029189),d=jm_c(d,h,p,g,e[n+9],4,-640364487),g=jm_c(g,d,h,p,e[n+12],11,-421815835),p=jm_c(p,g,d,h,e[n+15],16,530742520),h=jm_c(h,p,g,d,e[n+2],23,-995338651),d=jm_u(d,h,p,g,e[n],6,-198630844),g=jm_u(g,d,h,p,e[n+7],10,1126891415),p=jm_u(p,g,d,h,e[n+14],15,-1416354905),h=jm_u(h,p,g,d,e[n+5],21,-57434055),d=jm_u(d,h,p,g,e[n+12],6,1700485571),g=jm_u(g,d,h,p,e[n+3],10,-1894986606),p=jm_u(p,g,d,h,e[n+10],15,-1051523),h=jm_u(h,p,g,d,e[n+1],21,-2054922799),d=jm_u(d,h,p,g,e[n+8],6,1873313359),g=jm_u(g,d,h,p,e[n+15],10,-30611744),p=jm_u(p,g,d,h,e[n+6],15,-1560198380),h=jm_u(h,p,g,d,e[n+13],21,1309151649),d=jm_u(d,h,p,g,e[n+4],6,-145523070),g=jm_u(g,d,h,p,e[n+11],10,-1120210379),p=jm_u(p,g,d,h,e[n+2],15,718787259),h=jm_u(h,p,g,d,e[n+9],21,-343485551),d=jm_r(d,o),h=jm_r(h,i),p=jm_r(p,f),g=jm_r(g,l);return[d,h,p,g]}function jm_l(e){var t,r='';for(t=0;t<32*e.length;t+=8)r+=String.fromCharCode(e[t>>5]>>>t%32&255);return r}function jm_d(e){var t,r=[];for(r[(e.length>>2)-1]=void 0,t=0;t<r.length;t+=1)r[t]=0;for(t=0;t<8*e.length;t+=8)r[t>>5]|=(255&e.charCodeAt(t/8))<<t%32;return r}function jm_h(e){return jm_l(jm_f(jm_d(e),8*e.length))}function jm_p(e,t){var r,n,o=jm_d(e),i=[],a=[];for(i[15]=a[15]=void 0,o.length>16&&(o=jm_f(o,8*e.length)),r=0;r<16;r+=1)i[r]=909522486^o[r],a[r]=1549556828^o[r];return n=jm_f(i.concat(jm_d(t)),512+8*t.length),jm_l(jm_f(a.concat(n),640))}function jm_g(e){var t,r,n='0123456789abcdef',o='';for(r=0;r<e.length;r+=1)t=e.charCodeAt(r),o+=n.charAt(t>>>4&15)+n.charAt(15&t);return o}function jm_v(e){return unescape(encodeURIComponent(e))}function jm__(e){return jm_h(jm_v(e))}function jm_y(e){return jm_g(jm__(e))}function jm_m(e,t){return jm_p(jm_v(e),jm_v(t))}function jm_b(e,t){return jm_g(jm_m(e,t))}function iqiyi_md5(e,t,r){return t?r?jm_m(t,e):jm_b(t,e):r?jm__(e):jm_y(e)}function guid(){function e(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return e()+e()+'-'+e()+'-'+e()+'-'+e()+'-'+e()+e()+e()}function code_n(e){var t,r,n,o,i,a;for(n=e.length,r=0,t='';r<n;){if(o=255&e.charCodeAt(r++),r==n){t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4),t+='==';break}if(i=e.charCodeAt(r++),r==n){t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4|(240&i)>>4),t+=s.charAt((15&i)<<2),t+='=';break}a=e.charCodeAt(r++),t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4|(240&i)>>4),t+=s.charAt((15&i)<<2|(192&a)>>6),t+=s.charAt(63&a)}return t}function code_o(e){var t,r,n,o,i,a,s;for(a=e.length,i=0,s='';i<a;){do t=c[255&e.charCodeAt(i++)];while(i<a&&t==-1);if(t==-1)break;do r=c[255&e.charCodeAt(i++)];while(i<a&&r==-1);if(r==-1)break;s+=String.fromCharCode(t<<2|(48&r)>>4);do{if(n=255&e.charCodeAt(i++),61==n)return s;n=c[n]}while(i<a&&n==-1);if(n==-1)break;s+=String.fromCharCode((15&r)<<4|(60&n)>>2);do{if(o=255&e.charCodeAt(i++),61==o)return s;o=c[o]}while(i<a&&o==-1);if(o==-1)break;s+=String.fromCharCode((3&n)<<6|o)}return s}function code_i(e){var t,r,n,o;for(t='',n=e.length,r=0;r<n;r++)o=e.charCodeAt(r),o>=1&&o<=127?t+=e.charAt(r):o>2047?(t+=String.fromCharCode(224|o>>12&15),t+=String.fromCharCode(128|o>>6&63),t+=String.fromCharCode(128|o>>0&63)):(t+=String.fromCharCode(192|o>>6&31),t+=String.fromCharCode(128|o>>0&63));return t}function code_a(e){var t,r,n,o,i,a;for(t='',n=e.length,r=0;r<n;)switch(o=e.charCodeAt(r++),o>>4){case 0:case 1:case 2:case 3:case 4:case 5:case 6:case 7:t+=e.charAt(r-1);break;case 12:case 13:i=e.charCodeAt(r++),t+=String.fromCharCode((31&o)<<6|63&i);break;case 14:i=e.charCodeAt(r++),a=e.charCodeAt(r++),t+=String.fromCharCode((15&o)<<12|(63&i)<<6|(63&a)<<0)}return t}var s='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/',c=new Array((-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),62,(-1),(-1),(-1),63,52,53,54,55,56,57,58,59,60,61,(-1),(-1),(-1),(-1),(-1),(-1),(-1),0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,(-1),(-1),(-1),(-1),(-1),(-1),26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,(-1),(-1),(-1),(-1),(-1));function encode(e){return code_n(code_i(e))};function decode(e){return code_a(code_o(e))};var result='';var QC006='';function getQC006(){QC006=iqiyi_md5('Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1'+Math.random()+1*(new Date).getTime());return QC006};function run(QC005,QC006){var dim='{\"jn\":\"Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1\",\"cm\":\"zh-CN\",\"gu\":24,\"uf\":3,\"jr\":[812,375],\"di\":[812,375],\"zp\":-480,\"uh\":1,\"sh\":1,\"he\":1,\"zo\":1,\"rv\":\"unknown\",\"nx\":\"Win32\",\"iw\":\"unknown\",\"qm\":[],\"wr\":\"426024a3c7deb049f74bd1e11faae6cd\",\"wg\":\"cba78d7284ded1f76670dceff67d260d\",\"fk\":false,\"rg\":false,\"xy\":false,\"jm\":true,\"ba\":true,\"tm\":[1,true,true],\"cc\":6,\"vt\":true,\"rr\":\"ANGLE (Intel, Intel(R) UHD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11-27.20.100.8935)\",\"vd\":\"Google Inc. (Intel)\",\"wv\":\"WebGL 1.0 (OpenGL ES 2.0 Chromium)\",\"hl\":false,\"ht\":\"7,8\",\"au\":true,\"mi\":\"'+guid()+'\",\"cl\":\"H5\",\"sv\":\"1.0\",\"jg\":\"'+QC005+'\",\"fh\":\"'+QC006+'\",\"ifm\":[false,null,null,null],\"ex\":\"\",\"dv\":\"off\",\"pv\":true,\"qa\":'+(parseInt(Math.random()*100)+950)+'}';var result=encode(dim);return result};";
            var sExpression = $"getQC006()";
            MSScriptControl.ScriptControl scriptControl = new MSScriptControl.ScriptControl();
            scriptControl.UseSafeSubset = true;
            scriptControl.Language = "JScript";
            scriptControl.AddCode(sCode);
            try
            {
                result = scriptControl.Eval(sExpression).ToString();
            }
            catch (Exception ex)
            {
                string str = ex.Message;
            }
            return result;
        }
        public static string GetDim(string QC005, string QC006,string guid)
        {
            var result = "";
            var sCode = "function jm_r(e,t){var r=(65535&e)+(65535&t),n=(e>>16)+(t>>16)+(r>>16);return n<<16|65535&r}function jm_n(e,t){return e<<t|e>>>32-t}function jm_o(e,t,o,i,a,s){return jm_r(jm_n(jm_r(jm_r(t,e),jm_r(i,s)),a),o)}function jm_a(e,t,r,n,i,a,s){return jm_o(t&r|~t&n,e,t,i,a,s)}function jm_s(e,t,r,n,i,a,s){return jm_o(t&n|r&~n,e,t,i,a,s)}function jm_c(e,t,r,n,i,a,s){return jm_o(t^r^n,e,t,i,a,s)}function jm_u(e,t,r,n,i,a,s){return jm_o(r^(t|~n),e,t,i,a,s)}function jm_f(e,t){e[t>>5]|=128<<t%32,e[(t+64>>>9<<4)+14]=t;var n,o,i,f,l,d=1732584193,h=-271733879,p=-1732584194,g=271733878;for(n=0;n<e.length;n+=16)o=d,i=h,f=p,l=g,d=jm_a(d,h,p,g,e[n],7,-680876936),g=jm_a(g,d,h,p,e[n+1],12,-389564586),p=jm_a(p,g,d,h,e[n+2],17,606105819),h=jm_a(h,p,g,d,e[n+3],22,-1044525330),d=jm_a(d,h,p,g,e[n+4],7,-176418897),g=jm_a(g,d,h,p,e[n+5],12,1200080426),p=jm_a(p,g,d,h,e[n+6],17,-1473231341),h=jm_a(h,p,g,d,e[n+7],22,-45705983),d=jm_a(d,h,p,g,e[n+8],7,1770035416),g=jm_a(g,d,h,p,e[n+9],12,-1958414417),p=jm_a(p,g,d,h,e[n+10],17,-42063),h=jm_a(h,p,g,d,e[n+11],22,-1990404162),d=jm_a(d,h,p,g,e[n+12],7,1804603682),g=jm_a(g,d,h,p,e[n+13],12,-40341101),p=jm_a(p,g,d,h,e[n+14],17,-1502002290),h=jm_a(h,p,g,d,e[n+15],22,1236535329),d=jm_s(d,h,p,g,e[n+1],5,-165796510),g=jm_s(g,d,h,p,e[n+6],9,-1069501632),p=jm_s(p,g,d,h,e[n+11],14,643717713),h=jm_s(h,p,g,d,e[n],20,-373897302),d=jm_s(d,h,p,g,e[n+5],5,-701558691),g=jm_s(g,d,h,p,e[n+10],9,38016083),p=jm_s(p,g,d,h,e[n+15],14,-660478335),h=jm_s(h,p,g,d,e[n+4],20,-405537848),d=jm_s(d,h,p,g,e[n+9],5,568446438),g=jm_s(g,d,h,p,e[n+14],9,-1019803690),p=jm_s(p,g,d,h,e[n+3],14,-187363961),h=jm_s(h,p,g,d,e[n+8],20,1163531501),d=jm_s(d,h,p,g,e[n+13],5,-1444681467),g=jm_s(g,d,h,p,e[n+2],9,-51403784),p=jm_s(p,g,d,h,e[n+7],14,1735328473),h=jm_s(h,p,g,d,e[n+12],20,-1926607734),d=jm_c(d,h,p,g,e[n+5],4,-378558),g=jm_c(g,d,h,p,e[n+8],11,-2022574463),p=jm_c(p,g,d,h,e[n+11],16,1839030562),h=jm_c(h,p,g,d,e[n+14],23,-35309556),d=jm_c(d,h,p,g,e[n+1],4,-1530992060),g=jm_c(g,d,h,p,e[n+4],11,1272893353),p=jm_c(p,g,d,h,e[n+7],16,-155497632),h=jm_c(h,p,g,d,e[n+10],23,-1094730640),d=jm_c(d,h,p,g,e[n+13],4,681279174),g=jm_c(g,d,h,p,e[n],11,-358537222),p=jm_c(p,g,d,h,e[n+3],16,-722521979),h=jm_c(h,p,g,d,e[n+6],23,76029189),d=jm_c(d,h,p,g,e[n+9],4,-640364487),g=jm_c(g,d,h,p,e[n+12],11,-421815835),p=jm_c(p,g,d,h,e[n+15],16,530742520),h=jm_c(h,p,g,d,e[n+2],23,-995338651),d=jm_u(d,h,p,g,e[n],6,-198630844),g=jm_u(g,d,h,p,e[n+7],10,1126891415),p=jm_u(p,g,d,h,e[n+14],15,-1416354905),h=jm_u(h,p,g,d,e[n+5],21,-57434055),d=jm_u(d,h,p,g,e[n+12],6,1700485571),g=jm_u(g,d,h,p,e[n+3],10,-1894986606),p=jm_u(p,g,d,h,e[n+10],15,-1051523),h=jm_u(h,p,g,d,e[n+1],21,-2054922799),d=jm_u(d,h,p,g,e[n+8],6,1873313359),g=jm_u(g,d,h,p,e[n+15],10,-30611744),p=jm_u(p,g,d,h,e[n+6],15,-1560198380),h=jm_u(h,p,g,d,e[n+13],21,1309151649),d=jm_u(d,h,p,g,e[n+4],6,-145523070),g=jm_u(g,d,h,p,e[n+11],10,-1120210379),p=jm_u(p,g,d,h,e[n+2],15,718787259),h=jm_u(h,p,g,d,e[n+9],21,-343485551),d=jm_r(d,o),h=jm_r(h,i),p=jm_r(p,f),g=jm_r(g,l);return[d,h,p,g]}function jm_l(e){var t,r='';for(t=0;t<32*e.length;t+=8)r+=String.fromCharCode(e[t>>5]>>>t%32&255);return r}function jm_d(e){var t,r=[];for(r[(e.length>>2)-1]=void 0,t=0;t<r.length;t+=1)r[t]=0;for(t=0;t<8*e.length;t+=8)r[t>>5]|=(255&e.charCodeAt(t/8))<<t%32;return r}function jm_h(e){return jm_l(jm_f(jm_d(e),8*e.length))}function jm_p(e,t){var r,n,o=jm_d(e),i=[],a=[];for(i[15]=a[15]=void 0,o.length>16&&(o=jm_f(o,8*e.length)),r=0;r<16;r+=1)i[r]=909522486^o[r],a[r]=1549556828^o[r];return n=jm_f(i.concat(jm_d(t)),512+8*t.length),jm_l(jm_f(a.concat(n),640))}function jm_g(e){var t,r,n='0123456789abcdef',o='';for(r=0;r<e.length;r+=1)t=e.charCodeAt(r),o+=n.charAt(t>>>4&15)+n.charAt(15&t);return o}function jm_v(e){return unescape(encodeURIComponent(e))}function jm__(e){return jm_h(jm_v(e))}function jm_y(e){return jm_g(jm__(e))}function jm_m(e,t){return jm_p(jm_v(e),jm_v(t))}function jm_b(e,t){return jm_g(jm_m(e,t))}function iqiyi_md5(e,t,r){return t?r?jm_m(t,e):jm_b(t,e):r?jm__(e):jm_y(e)}function guid(){function e(){return Math.floor(65536*(1+Math.random())).toString(16).substring(1)}return e()+e()+'-'+e()+'-'+e()+'-'+e()+'-'+e()+e()+e()}function code_n(e){var t,r,n,o,i,a;for(n=e.length,r=0,t='';r<n;){if(o=255&e.charCodeAt(r++),r==n){t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4),t+='==';break}if(i=e.charCodeAt(r++),r==n){t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4|(240&i)>>4),t+=s.charAt((15&i)<<2),t+='=';break}a=e.charCodeAt(r++),t+=s.charAt(o>>2),t+=s.charAt((3&o)<<4|(240&i)>>4),t+=s.charAt((15&i)<<2|(192&a)>>6),t+=s.charAt(63&a)}return t}function code_o(e){var t,r,n,o,i,a,s;for(a=e.length,i=0,s='';i<a;){do t=c[255&e.charCodeAt(i++)];while(i<a&&t==-1);if(t==-1)break;do r=c[255&e.charCodeAt(i++)];while(i<a&&r==-1);if(r==-1)break;s+=String.fromCharCode(t<<2|(48&r)>>4);do{if(n=255&e.charCodeAt(i++),61==n)return s;n=c[n]}while(i<a&&n==-1);if(n==-1)break;s+=String.fromCharCode((15&r)<<4|(60&n)>>2);do{if(o=255&e.charCodeAt(i++),61==o)return s;o=c[o]}while(i<a&&o==-1);if(o==-1)break;s+=String.fromCharCode((3&n)<<6|o)}return s}function code_i(e){var t,r,n,o;for(t='',n=e.length,r=0;r<n;r++)o=e.charCodeAt(r),o>=1&&o<=127?t+=e.charAt(r):o>2047?(t+=String.fromCharCode(224|o>>12&15),t+=String.fromCharCode(128|o>>6&63),t+=String.fromCharCode(128|o>>0&63)):(t+=String.fromCharCode(192|o>>6&31),t+=String.fromCharCode(128|o>>0&63));return t}function code_a(e){var t,r,n,o,i,a;for(t='',n=e.length,r=0;r<n;)switch(o=e.charCodeAt(r++),o>>4){case 0:case 1:case 2:case 3:case 4:case 5:case 6:case 7:t+=e.charAt(r-1);break;case 12:case 13:i=e.charCodeAt(r++),t+=String.fromCharCode((31&o)<<6|63&i);break;case 14:i=e.charCodeAt(r++),a=e.charCodeAt(r++),t+=String.fromCharCode((15&o)<<12|(63&i)<<6|(63&a)<<0)}return t}var s='ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/',c=new Array((-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),(-1),62,(-1),(-1),(-1),63,52,53,54,55,56,57,58,59,60,61,(-1),(-1),(-1),(-1),(-1),(-1),(-1),0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,(-1),(-1),(-1),(-1),(-1),(-1),26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,(-1),(-1),(-1),(-1),(-1));function encode(e){return code_n(code_i(e))};function decode(e){return code_a(code_o(e))};var result='';var QC006='';function getQC006(){QC006=iqiyi_md5('Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1'+Math.random()+1*(new Date).getTime());return QC006};function run(QC005,QC006){var dim='{\"jn\":\"Mozilla/5.0 (iPhone; CPU iPhone OS 13_2_3 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/13.0.3 Mobile/15E148 Safari/604.1\",\"cm\":\"zh-CN\",\"gu\":24,\"uf\":3,\"jr\":[812,375],\"di\":[812,375],\"zp\":-480,\"uh\":1,\"sh\":1,\"he\":1,\"zo\":1,\"rv\":\"unknown\",\"nx\":\"Win32\",\"iw\":\"unknown\",\"qm\":[],\"wr\":\"426024a3c7deb049f74bd1e11faae6cd\",\"wg\":\"cba78d7284ded1f76670dceff67d260d\",\"fk\":false,\"rg\":false,\"xy\":false,\"jm\":true,\"ba\":true,\"tm\":[1,true,true],\"cc\":6,\"vt\":true,\"rr\":\"ANGLE (Intel, Intel(R) UHD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11-27.20.100.8935)\",\"vd\":\"Google Inc. (Intel)\",\"wv\":\"WebGL 1.0 (OpenGL ES 2.0 Chromium)\",\"hl\":false,\"ht\":\"7,8\",\"au\":true,\"mi\":\"'+guid()+'\",\"cl\":\"H5\",\"sv\":\"1.0\",\"jg\":\"'+QC005+'\",\"fh\":\"'+QC006+'\",\"ifm\":[false,null,null,null],\"ex\":\"\",\"dv\":\"off\",\"pv\":true,\"qa\":'+(parseInt(Math.random()*100)+950)+'}';var result=encode(dim);return result};";
            var sExpression = $"run('{QC005}','{QC006}')";
            MSScriptControl.ScriptControl scriptControl = new MSScriptControl.ScriptControl();
            scriptControl.UseSafeSubset = true;
            scriptControl.Language = "JScript";
            scriptControl.AddCode(sCode);
            try
            {
                result = scriptControl.Eval(sExpression).ToString();
            }
            catch (Exception ex)
            {
                string str = ex.Message;
            }
            return result;
        }
        public static string H5Sign(string dim)
        {
            var result = "";
            var sCode = "function iqiyi_sha1(e,t,r){var n,o,i,a,s,p,g,v,b,w=0,x=[],S=0,E=!1,A=[],k=[],T=!1;if(r=r||{},this.shatype=e,n=r.encoding||'UTF8',b=r.numRounds||1,i=h(t,n),b!==parseInt(b,10)||1>b)throw Error(\"numRounds must a integer >= 1\");if('SHA-1'!==e)throw Error(\"Chosen SHA variant is not supported\");s=512,p=y,g=m,a=160,v=function(e){return e.slice()},o=_(e),this.setHMACKey=function(t,r,i){var c;if(!0===E)throw Error(\"HMAC key already set\");if(!0===T)throw Error(\"Cannot set HMAC key after calling update\");if(n=(i||{}).encoding||\"UTF8\",r=h(r,n)(t),t=r.binLen,r=r.value,c=s>>>3,i=c/4-1,c<t/8){for(r=g(r,t,0,_(e),a);r.length<=i;)r.push(0);r[i]&=4294967040}else if(c>t/8){for(;r.length<=i;)r.push(0);r[i]&=4294967040}for(t=0;t<=i;t+=1)A[t]=909522486^r[t],k[t]=1549556828^r[t];o=p(A,o),w=s,E=!0},this.update=function(e){var t,r,n,a=0,c=s>>>5;for(t=i(e,x,S),e=t.binLen,r=t.value,t=e>>>5,n=0;n<t;n+=c)a+s<=e&&(o=p(r.slice(n,n+c),o),a+=s);w+=a,x=r.slice(a>>>5),S=e%s,T=!0},this.getHash=function(t,r){var n,i,s,h;if(!0===E)throw Error(\"Cannot call getHash after setting HMAC key\");switch(s=d(r),t){case\"HEX\":n=function(e){return c(e,a,s)};break;case\"B64\":n=function(e){return u(e,a,s)};break;case\"BYTES\":n=function(e){return f(e,a)};break;case\"ARRAYBUFFER\":try{i=new ArrayBuffer(0)}catch(p){throw Error(\"ARRAYBUFFER not supported by this environment\")}n=function(e){return l(e,a)};break;default:throw Error(\"format must be HEX, B64, BYTES, or ARRAYBUFFER\")}for(h=g(x.slice(),S,w,v(o),a),i=1;i<b;i+=1)h=g(h,a,0,_(e),a);return n(h)},this.getHMAC=function(t,r){var n,i,h,y;if(!1===E)throw Error(\"Cannot call getHMAC without first setting HMAC key\");switch(h=d(r),t){case\"HEX\":n=function(e){return c(e,a,h)};break;case\"B64\":n=function(e){return u(e,a,h)};break;case\"BYTES\":n=function(e){return f(e,a)};break;case\"ARRAYBUFFER\":try{n=new ArrayBuffer(0)}catch(m){throw Error(\"ARRAYBUFFER not supported by this environment\")}n=function(e){return l(e,a)};break;default:throw Error(\"outputFormat must be HEX, B64, BYTES, or ARRAYBUFFER\")}return i=g(x.slice(),S,w,v(o),a),y=p(k,_(e||this.shatype)),y=g(i,a,s,y,a),n(y)}}function o(e,t,r){var n,o,i,a,s,c=e.length;if(t=t||[0],r=r||0,s=r>>>3,0!==c%2)throw Error(\"String of HEX type must be in byte increments\");for(n=0;n<c;n+=2){if(o=parseInt(e.substr(n,2),16),isNaN(o))throw Error(\"String of HEX type contains invalid characters\");for(a=(n>>>1)+s,i=a>>>2;t.length<=i;)t.push(0);t[i]|=o<<8*(3-a%4)}return{value:t,binLen:4*c+r}}function i(e,t,r){var n,o,i,a,s=[],s=t||[0];for(r=r||0,o=r>>>3,n=0;n<e.length;n+=1)t=e.charCodeAt(n),a=n+o,i=a>>>2,s.length<=i&&s.push(0),s[i]|=t<<8*(3-a%4);return{value:s,binLen:8*e.length+r}}function a(e,t,r){var n,o,i,a,s,c,u=[],f=0,u=t||[0];if(r=r||0,t=r>>>3,-1===e.search(/^[a-zA-Z0-9=+\\/]+$/))throw Error(\"Invalid character in base-64 string\");if(o=e.indexOf(\"=\"),e=e.replace(/\\=/g,\"\"),-1!==o&&o<e.length)throw Error(\"Invalid '=' found in base-64 string\");for(o=0;o<e.length;o+=4){for(s=e.substr(o,4),i=a=0;i<s.length;i+=1)n=\"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\".indexOf(s[i]),a|=n<<18-6*i;for(i=0;i<s.length-1;i+=1){for(c=f+t,n=c>>>2;u.length<=n;)u.push(0);u[n]|=(a>>>16-8*i&255)<<8*(3-c%4),f+=1}}return{value:u,binLen:8*f+r}}function s(e,t,r){var n,o,i,a=[],a=t||[0];for(r=r||0,n=r>>>3,t=0;t<e.byteLength;t+=1)i=t+n,o=i>>>2,a.length<=o&&a.push(0),a[o]|=e[t]<<8*(3-i%4);return{value:a,binLen:8*e.byteLength+r}}function c(e,t,r){var n=\"\";t/=8;var o,i;for(o=0;o<t;o+=1)i=e[o>>>2]>>>8*(3-o%4),n+=\"0123456789abcdef\".charAt(i>>>4&15)+\"0123456789abcdef\".charAt(15&i);return r.outputUpper?n.toUpperCase():n}function u(e,t,r){var n,o,i,a=\"\",s=t/8;for(n=0;n<s;n+=3)for(o=n+1<s?e[n+1>>>2]:0,i=n+2<s?e[n+2>>>2]:0,i=(e[n>>>2]>>>8*(3-n%4)&255)<<16|(o>>>8*(3-(n+1)%4)&255)<<8|i>>>8*(3-(n+2)%4)&255,o=0;4>o;o+=1)a+=8*n+6*o<=t?\"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/\".charAt(i>>>6*(3-o)&63):r.b64Pad;return a}function f(e,t){var r,n,o=\"\",i=t/8;for(r=0;r<i;r+=1)n=e[r>>>2]>>>8*(3-r%4)&255,o+=String.fromCharCode(n);return o}function l(e,t){var r,n=t/8,o=new ArrayBuffer(n);for(r=0;r<n;r+=1)o[r]=e[r>>>2]>>>8*(3-r%4)&255;return o}function d(e){var t={outputUpper:!1,b64Pad:\"=\",shakeLen:-1};if(e=e||{},t.outputUpper=e.outputUpper||!1,!0===e.hasOwnProperty(\"b64Pad\")&&(t.b64Pad=e.b64Pad),\"boolean\"!=typeof t.outputUpper)throw Error(\"Invalid outputUpper formatting option\");if(\"string\"!=typeof t.b64Pad)throw Error(\"Invalid b64Pad formatting option\");return t}function h(e,t){var r;switch(t){case\"UTF8\":case\"UTF16BE\":case\"UTF16LE\":break;default:throw Error(\"encoding must be UTF8, UTF16BE, or UTF16LE\")}switch(e){case\"HEX\":r=o;break;case\"TEXT\":r=function(e,r,n){var o,i,a,s,c,u=[],f=[],l=0,u=r||[0];if(r=n||0,a=r>>>3,\"UTF8\"===t)for(o=0;o<e.length;o+=1)for(n=e.charCodeAt(o),f=[],128>n?f.push(n):2048>n?(f.push(192|n>>>6),f.push(128|63&n)):55296>n||57344<=n?f.push(224|n>>>12,128|n>>>6&63,128|63&n):(o+=1,n=65536+((1023&n)<<10|1023&e.charCodeAt(o)),f.push(240|n>>>18,128|n>>>12&63,128|n>>>6&63,128|63&n)),i=0;i<f.length;i+=1){for(c=l+a,s=c>>>2;u.length<=s;)u.push(0);u[s]|=f[i]<<8*(3-c%4),l+=1}else if(\"UTF16BE\"===t||\"UTF16LE\"===t)for(o=0;o<e.length;o+=1){for(n=e.charCodeAt(o),\"UTF16LE\"===t&&(i=255&n,n=i<<8|n>>>8),c=l+a,s=c>>>2;u.length<=s;)u.push(0);u[s]|=n<<8*(2-c%4),l+=2}return{value:u,binLen:8*l+r}};break;case\"B64\":r=a;break;case\"BYTES\":r=i;break;case\"ARRAYBUFFER\":try{r=new ArrayBuffer(0)}catch(n){throw Error(\"ARRAYBUFFER not supported by this environment\")}r=s;break;default:throw Error(\"format must be HEX, TEXT, B64, BYTES, or ARRAYBUFFER\")}return r}function p(e,t){return e<<t|e>>>32-t}function g(e,t){var r=(65535&e)+(65535&t);return((e>>>16)+(t>>>16)+(r>>>16)&65535)<<16|65535&r}function v(e,t,r,n,o){var i=(65535&e)+(65535&t)+(65535&r)+(65535&n)+(65535&o);return((e>>>16)+(t>>>16)+(r>>>16)+(n>>>16)+(o>>>16)+(i>>>16)&65535)<<16|65535&i}function _(e){var t=[];if(\"SHA-1\"!==e)throw Error(\"No SHA variants supported\");return t=[1732584193,4023233417,2562383102,271733878,3285377520]}function y(e,t){var r,n,o,i,a,s,c,u=[];for(r=t[0],n=t[1],o=t[2],i=t[3],a=t[4],c=0;80>c;c+=1)u[c]=16>c?e[c]:p(u[c-3]^u[c-8]^u[c-14]^u[c-16],1),s=20>c?v(p(r,5),n&o^~n&i,a,1518500249,u[c]):40>c?v(p(r,5),n^o^i,a,1859775393,u[c]):60>c?v(p(r,5),n&o^n&i^o&i,a,2400959708,u[c]):v(p(r,5),n^o^i,a,3395469782,u[c]),a=i,i=o,o=p(n,30),n=r,r=s;return t[0]=g(r,t[0]),t[1]=g(n,t[1]),t[2]=g(o,t[2]),t[3]=g(i,t[3]),t[4]=g(a,t[4]),t}function m(e,t,r,n){var o;for(o=(t+65>>>9<<4)+15;e.length<=o;)e.push(0);for(e[t>>>5]|=128<<24-t%32,t+=r,e[o]=4294967295&t,e[o-1]=t/4294967296|0,t=e.length,o=0;o<t;o+=16)n=y(e.slice(o,o+16),n);return n}function run(e){var t=new iqiyi_sha1('SHA-1','TEXT');return t.setHMACKey('eade56028e252b77f7a0b8792e58b9cc','TEXT'),t.update(e),t.getHMAC('HEX')}";
            var sExpression = $"run('{dim}')";
            MSScriptControl.ScriptControl scriptControl = new MSScriptControl.ScriptControl();
            scriptControl.UseSafeSubset = true;
            scriptControl.Language = "JScript";
            scriptControl.AddCode(sCode);
            try
            {
                result = scriptControl.Eval(sExpression).ToString();
            }
            catch (Exception ex)
            {
                string str = ex.Message;
            }
            return result;
        }

    }
}
